Bug 1642321 (CVE-2018-3150) - CVE-2018-3150 OpenJDK: Multi-Release attribute read from outside of the main manifest attributes (Utility, 8199171)
Summary: CVE-2018-3150 OpenJDK: Multi-Release attribute read from outside of the main ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-3150
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1633819
TreeView+ depends on / blocked
 
Reported: 2018-10-24 07:55 UTC by Tomas Hoger
Modified: 2019-09-29 15:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-07 20:10:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3521 None None None 2018-11-07 18:13:49 UTC

Description Tomas Hoger 2018-10-24 07:55:16 UTC
A flaw was found in the Utility component of OpenJDK.  The Multi-Release attribute could have been read from outside of the main attributes in a Jar manifest, possibly leading to a use of an unsigned value for this attribute.  An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2018-10-24 07:56:06 UTC
Public via Oracle CPU October 2018:

https://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html#AppendixJAVA

The issue was fixed in Oracle JDK 11.0.1.

Comment 2 Tomas Hoger 2018-10-24 08:12:47 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/bb5b407dfe6d

Comment 3 errata-xmlrpc 2018-11-07 18:13:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3521 https://access.redhat.com/errata/RHSA-2018:3521


Note You need to log in before you can comment on or make changes to this bug.